Prepare a withdraw from an exchange
curl --request POST \
--url https://perps-api.vooi.io/withdraw/prepare \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "0x1234567890abcdef1234567890abcdef12345678",
"amount": "0.001",
"chainId": 123
}
'import requests
url = "https://perps-api.vooi.io/withdraw/prepare"
payload = {
"address": "0x1234567890abcdef1234567890abcdef12345678",
"amount": "0.001",
"chainId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: '0x1234567890abcdef1234567890abcdef12345678',
amount: '0.001',
chainId: 123
})
};
fetch('https://perps-api.vooi.io/withdraw/prepare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"exchange": "aster",
"fee": 123,
"signData": {
"domain": {
"name": "<string>",
"version": "<string>",
"chainId": 123,
"verifyingContract": "0x1234567890abcdef1234567890abcdef12345678"
},
"message": {},
"primaryType": "<string>",
"types": {}
},
"withdrawId": "<string>",
"withdrawLimit": "<string>"
}{
"message": "Invalid order id: 123",
"statusCode": 503
}Withdraw
Prepare a withdraw from an exchange
POST
/
withdraw
/
prepare
Prepare a withdraw from an exchange
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Wallet address to withdraw to
Example:
"0x1234567890abcdef1234567890abcdef12345678"
Amount to withdraw
Pattern:
\d+(\.\d+)?Example:
"0.001"
Supported perpetual exchange
Available options:
aster, binance, bybit, extended, gate, hyperliquid, lighter, mexc, ondo, robinhood Target chain ID for withdraw (Aster and Ondo only, defaults to 42161 Arbitrum)
Required range:
x <= 9007199254740991Token symbol to withdraw (Aster only, defaults to USDC)
Available options:
USDC, USDT, USDC.e, USD1, USDF, lisUSD Response
Withdraw preparation data
- AsterWithdrawData
- HyperliquidWithdrawData
- LighterWithdrawData
- OndoWithdrawData
- RobinhoodWithdrawData